@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
:root{
    --bg-color: #e1f2f4;
    --fontcolor: #04b3f8;
    --btncolor: rgb(10, 14, 255);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto",sans-serif ;
}
body{
    width: 100vw;
    height: 100vh;
    display: grid;
    place-items: center;
}
.container{
    background-color: var(--bg-color);
    padding: 30px 40px 70px;
    width: 100%;
    max-width: 540px;
    border-radius: 30px;
    color: var(--fontcolor);
}
.container h2{
    font-size: 3em;
    font-weight: bold;
    text-align: center;
    padding-bottom: 10px;
    background: url(../Images/Scenery3.jpg);
    background-size: cover;
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
   
    

}
#inputtask{
    height: 55px;
    width: 100%;
    border-radius: 50px;
    font-size: 1.3em;
    padding-left: 20px;
}
.box{
    position: relative;
}
.box button{
    height: 48px;
    padding: 10px 20px;
    border-radius: 50px;
    position: absolute;
    right: 0px;
    margin: 3px 3px 3px 0px;
}
ul{
    padding: 10px;
}
ul li{
    list-style-type: none;
    color: cadetblue;;
    font-size: 1.3em;
    font-weight: 500;
    letter-spacing: 2px;
    position: relative;
    padding: 10px 8px 10px 40px;
    border-radius: 20px;
    margin-block: 8px;
}
ul li::before{
    content: '';
    position: absolute;
    background: url(../JavaScript2/unchecked.png);
    background-size: cover;
    background-position:center;
    height: 20px;
    width: 20px;
    top: 12px;
    left: 12px;
}
ul li.checked{
    background-color: cadetblue;
    color: white;
   
}
ul li.checked::before{
    content: '';
    position: absolute;
    background: url(../JavaScript2/check.png);
    background-size: cover;
    background-position:center;
    border-radius: 50%;
    margin: 1px;
    height: 18px;
    width: 18px;
    top: 12px;
    left: 12px;
}
ul li span{
    position: absolute;
    right: 18px;
    top: 12px;
    width: 20px;
    height: 20px;
    color: cadetblue;;
    text-align: center;
    border-radius: 50%;
}
ul li.checked span{
    color: white;
}
ul li.checked span:hover{
    background-color: white;
    color: red;
    transition: all 0.4s;
}